## fslview 3.0+4.0.2

=== CMakeLists.txt ===
PROJECT(FSLVIEW)

SET(LIBRARY_OUTPUT_PATH ${FSLVIEW_BINARY_DIR}/lib)
SET(EXECUTABLE_OUTPUT_PATH ${FSLVIEW_BINARY_DIR}/bin)

INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl/newmat)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/src)

ENABLE_TESTING()

SUBDIRS(fsl src)
