=== src/storage/test/CMakeLists.txt ===
SET(testhist_SOURCES testhistfns.cpp)

ADD_EXECUTABLE (testhistfns ${testhist_SOURCES})
TARGET_LINK_LIBRARIES (testhistfns storage miscmaths newmat niftiio fslio znz z)
TARGET_LINK_LIBRARIES (testhistfns ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )

FIND_PATH(FSL_DIR etc/fslconf/fsl.sh /usr/local/fsl)
INCLUDE_DIRECTORIES(${FSL_DIR}/include)

FIND_PATH(BOOST_DIR boost/shared_ptr.hpp
	/Developer/boost
	/usr/local/boost
	/usr/local/boost_1_33_0)
INCLUDE_DIRECTORIES(${BOOST_DIR})
