## fslview 3.0.2+4.1.0

=== src/fslview/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PROJECT(fslview)
+PROJECT(FSLVIEW)
 
 SET(utility_srcs
   preferences.cpp
@@ -122,7 +122,7 @@
   cursorwidgetbase.ui
   briconwidgetbase.ui)
 
-FIND_PACKAGE( Qt REQUIRED )
+FIND_PACKAGE( Qt3 REQUIRED )
 FIND_PACKAGE( VTK REQUIRED )
 FIND_PATH( BOOST_DIR boost/shared_ptr.hpp
 	   /Developer/boost
@@ -148,7 +148,7 @@
 
 CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 
-INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )
+INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_INCLUDE_DIR}/qwt )
 INCLUDE_DIRECTORIES( ${QWT_DIR}/include )
 INCLUDE_DIRECTORIES( ${BOOST_DIR} )
 INCLUDE_DIRECTORIES( ${FSL_DIR}/include )
@@ -159,38 +159,57 @@
 LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
 LINK_DIRECTORIES( ${QWT_DIR}/lib )
 LINK_DIRECTORIES( ${FSL_DIR}/lib ${FSL_DIR}/extras/lib )
-LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib )
+#LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib )
 
 ADD_LIBRARY( ui ${ui_srcs} ${moc_srcs} )
 ADD_LIBRARY( utilities ${utility_srcs} )
+
+ADD_EXECUTABLE( atlasquery atlasquery.cc )
+TARGET_LINK_LIBRARIES( atlasquery ${QT_LIBRARIES} utilities storage miscmaths newmat utils fslio niftiio znz z )
+
 IF(APPLE)
   SET( MACOSX_BUNDLE_ICON_FILE application.icns )
+  INSTALL(FILES application.icns DESTINATION bin/fslview.app/Contents/Resources)
   SET( MACOSX_BUNDLE_COPYRIGHT "Copyright (c) 2005, University of Oxford" )
   ADD_EXECUTABLE( fslview MACOSX_BUNDLE ${srcs} )
-  INSTALL_TARGETS( /bin fslview )
+  FILE( GLOB vtklibs ${VTK_DIR}/*.dylib* )
+  FILE( GLOB qwtlibs ${QWT_DIR}/lib/*.dylib* )
+  FILE( GLOB qtlibs ${QT_INCLUDE_DIR}/../lib/*.dylib* )
+  INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION bin/fslview.app/Contents/Frameworks)
+#   INSTALL(TARGETS fslview atlasquery 
+# 	RUNTIME DESTINATION /bin
+# 	LIBRARY DESTINATION /lib
+# 	ARCHIVE DESTINATION /lib )
 ELSE (APPLE)
   ADD_EXECUTABLE( fslview ${srcs} )
-  INSTALL_TARGETS( /bin fslview )
+  FILE( GLOB vtklibs ${VTK_DIR}/../libvtk*.so* ${VTK_DIR}/../libQVTK.so* )
+  FILE( GLOB qwtlibs ${QWT_DIR}/lib/*.so* )
+  FILE( GLOB qtlibs ${QT_QT_LIBRARY}* ${QT_QASSISTANTCLIENT_LIBRARY}* )
+  INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION lib)
+#   INSTALL(TARGETS fslview atlasquery RUNTIME DESTINATION /bin )
 ENDIF(APPLE)
 
 TARGET_LINK_LIBRARIES( fslview utilities ui storage)
-
-IF(UNIX)
-  TARGET_LINK_LIBRARIES( fslview ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )
-ELSE(UNIX)
-  IF(WINDOWS)
-    LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib/Debug )
-  ENDIF(WINDOWS)
-  TARGET_LINK_LIBRARIES( fslview fslio )
-ENDIF(UNIX)
-
-TARGET_LINK_LIBRARIES( fslview ${QT_LIBRARIES} niftiio znz z )
+TARGET_LINK_LIBRARIES( fslview ${QT_LIBRARIES} fslio niftiio znz z )
 TARGET_LINK_LIBRARIES( fslview miscmaths newmat utils )
 TARGET_LINK_LIBRARIES( fslview qassistantclient qwt )
-TARGET_LINK_LIBRARIES( fslview QVTK vtkHybrid vtkWidgets )
-
-ADD_EXECUTABLE( atlasquery atlasquery.cc )
-TARGET_LINK_LIBRARIES( atlasquery utilities ${QT_LIBRARIES} storage miscmaths newmat utils fslio niftiio znz z )
+TARGET_LINK_LIBRARIES( fslview vtkHybrid vtkWidgets QVTK )
+
+INSTALL(TARGETS fslview atlasquery 
+	RUNTIME DESTINATION bin
+	LIBRARY DESTINATION lib
+	ARCHIVE DESTINATION lib )
+IF(UNIX)
+#  TARGET_LINK_LIBRARIES( fslview ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )
+#   INSTALL_FILES ( /lib ${VTK_LIBRARY_DIR}/.*\\.so$ )
+ENDIF(UNIX)
+IF(APPLE)
+#   FILE( GLOB vtklibs ${VTK_DIR}/../*.dylib* )
+#   INSTALL_FILES ( /bin/fslview.app/Contents/Frameworks FILES ${vtklibs} )
+ENDIF(APPLE)
+IF(WINDOWS)
+    LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib/Debug )
+ENDIF(WINDOWS)
 
 # Now for the test harness
