=== src/storage/CMakeLists.txt ===
--- 
+++ 
@@ -23,3 +23,5 @@
   INSTALL_FILES(/include/storage .*\\.inc$)
   INSTALL_TARGETS(/lib storage)
 ENDIF(FSL_BUILD)
+
+SUBDIRS(test)
