## fslview 3.1.2+4.1.4

=== src/fslview/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
   meshoptionsdialog.cpp
   atlasoptionsdialog.cpp
   atlasselectiondialog.cpp
+  viewoptionsdialog.cpp
   histogramoptionsdialogimpl.cpp 
   properties.cpp 
   propertiesdialogimpl.cpp 
@@ -77,6 +78,7 @@
   meshoptionsdialog.h
   atlasoptionsdialog.h
   atlasselectiondialog.h
+  viewoptionsdialog.h
   imagewidget.h
   viewwidget.h
   sliceview.h
@@ -107,6 +109,7 @@
   meshoptionsdialogbase.ui 
   atlasoptionsdialogbase.ui 
   atlasselectiondialogbase.ui 
+  viewoptionsdialogbase.ui 
   talairachwidgetbase.ui 
   propertiesdialog.ui 
   overlaywidgetbase.ui 
@@ -120,7 +123,8 @@
   vtkpropertydialogbase.ui 
   drawtoolbarbase.ui 
   cursorwidgetbase.ui
-  briconwidgetbase.ui)
+  briconwidgetbase.ui
+  timeserieswindowbase.ui)
 
 FIND_PACKAGE( Qt3 REQUIRED )
 FIND_PACKAGE( VTK REQUIRED )
@@ -176,6 +180,7 @@
   FILE( GLOB qwtlibs ${QWT_DIR}/lib/*.dylib* )
   FILE( GLOB qtlibs ${QT_INCLUDE_DIR}/../lib/*.dylib* )
   INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION bin/fslview.app/Contents/Frameworks)
+#  INSTALL(DIRECTORY $ENV{QTDIR}/bin/assistant.app DESTINATION lib)
 #   INSTALL(TARGETS fslview atlasquery 
 # 	RUNTIME DESTINATION /bin
 # 	LIBRARY DESTINATION /lib
@@ -183,9 +188,12 @@
 ELSE (APPLE)
   ADD_EXECUTABLE( fslview ${srcs} )
   FILE( GLOB vtklibs ${VTK_DIR}/../libvtk*.so* ${VTK_DIR}/../libQVTK.so* )
+  FILE( GLOB osmesa /usr/lib*/libOSMesa*.so* )
   FILE( GLOB qwtlibs ${QWT_DIR}/lib/*.so* )
   FILE( GLOB qtlibs ${QT_QT_LIBRARY}* ${QT_QASSISTANTCLIENT_LIBRARY}* )
-  INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION lib)
+  FILE( GLOB assistant ${QT_INCLUDE_DIR}/../bin/assistant )
+  INSTALL(FILES ${vtklibs} ${osmesa} ${qtlibs} ${qwtlibs} DESTINATION lib)
+#  INSTALL(FILES ${assistant} DESTINATION lib)
 #   INSTALL(TARGETS fslview atlasquery RUNTIME DESTINATION /bin )
 ENDIF(APPLE)
