## fslview 3.1.8+4.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,5 +9,5 @@
 
 ENABLE_TESTING()
 
-SUBDIRS(fsl src)
+SUBDIRS(fsl src doc/fslview)
