=== src/fslview/CMakeLists.txt ===
--- 
+++ 
@@ -168,7 +168,7 @@
 ADD_LIBRARY( ui ${ui_srcs} ${moc_srcs} )
 ADD_LIBRARY( utilities ${utility_srcs} )
 
-ADD_EXECUTABLE( atlasquery atlasquery.cc )
+ADD_EXECUTABLE( atlasquery atlasquery.cc tracker.cpp )
 TARGET_LINK_LIBRARIES( atlasquery ${QT_LIBRARIES} utilities storage miscmaths newmat utils fslio niftiio znz z )
 
 IF(APPLE)
