=== src/storage/CMakeLists.txt ===
--- 
+++ 
@@ -25,3 +25,4 @@
 ENDIF(FSL_BUILD)
 
 SUBDIRS(test)
+
