=== debian/changelog ===
fslview (3.1.8+4.1.6-2) unstable; urgency=low

  * Adjust build-dependency on libnifti-dev (no versioned -dev package
    anymore).
  * Bump Standards-version to 3.9.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 Jul 2010 10:29:16 -0400

fslview (3.1.8+4.1.6-1) unstable; urgency=low

  * New Upstream Version.
  * Merge property dialog layout patch with upstream.
  * Switch packaging from CDBS to debhelper's dh. Bump compat level from
    5 to 7.
  * Switch to dpkg-source 3.0 (quilt) format. Split git feature branches into
    quilt patch series.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 30 Jun 2010 20:35:06 -0400

fslview (3.1.2+4.1.5.2-1) unstable; urgency=low

  * New upstream code.
  * Fixed property dialog layout.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 28 Jan 2010 09:54:35 -0500

fslview (3.1.2+4.1.4-2) unstable; urgency=low

  * Bumped Standards-Version to 3.8.3.0, no changes necessary.
  * Updated information about unofficial FSL data packages.
  * Fixed minor whitespace errors in Debian packaging.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 30 Sep 2009 21:43:14 -0400

fslview (3.1.2+4.1.4-1) unstable; urgency=low

  * New upstream release. Merged few patches from previous Debian package
    release. This version is now compatible with the recent boost 1.38.0
    (Closes: #530465).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 03 Jun 2009 19:34:36 +0200

fslview (3.1.0+4.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.8.1, no changes necessary.
  * Update debhelper compat level to 5.
  * Switch Debian packaging to use CDBS -- simplifying debian/rules quite a
    bit.
  * Reduce Debian diff by reverting back to static linking. The previous
    approach of splitting unversioned shared libs to be used by FSL has proven
    to be too error-prone and time consuming to maintain (Closes: #522484).
  * Updated fslview.1 to reflect new command line option.
  * Update debian/copyright for the year 2009.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 27 Apr 2009 20:42:01 +0200

fslview (3.0.2+4.1.2-2) unstable; urgency=low

  * Compile internal libraries as shared libs and install them under
    /usr/lib/fsl/lib, so FSL itself can use them as well.
  * Expose FSL's internal libs via RPATH to the included binaries.
    That should be appropriate, since they are built from the same package
    and are not intended to be used by other packages than FSL (hence, no -dev
    package).
  * Added patch to prevent fslview from crashing with images that have dim4=0.
    Thanks to Wim Otte.
  * Build package with -Wl,--no-undefined.
  * Added 'XS-DM-Upload-Allowed: yes' to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 06 Feb 2009 12:13:24 +0100

fslview (3.0.2+4.1.2-1) UNRELEASED; urgency=low

  * New Upstream Version.
  * Updated repackaging to keep fslio in the sources (will soon be removed from
    nifticlib package).

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 29 Jan 2009 19:19:15 +0100

fslview (3.0.2+4.1.0-3) unstable; urgency=low

  * Fix the fix to #502083 -- which has the condition reversed. Additionally,
    the 'fix' is not necessary on ARM (Closes: #502083).

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 16 Oct 2008 14:59:20 +0200

fslview (3.0.2+4.1.0-2) unstable; urgency=low

  * Prevent using -Wl,--as-needed linker flags on arm, armel and armeb
    (Closes: #502083). Thanks to Riku Voipio for pointing to the workaround.
  * Update 'repackage-fsl' script to not remove fslio anymore, since the
    im scripts are required by FSL.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 14 Oct 2008 20:03:24 +0200

fslview (3.0.2+4.1.0-1) unstable; urgency=low

  * New Upstream Version.
  * Bumped Standards-Version to 3.8.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 14 Aug 2008 12:59:52 +0200

fslview (3.0+4.0.2-5) unstable; urgency=low

  * Specify Qt3 dev tools explicitly to be compatible with cmake 2.6 and
    add missing include path (Closes: #482209).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 May 2008 19:38:18 +0200

fslview (3.0+4.0.2-4) unstable; urgency=low

  * Do not recommend fsl-atlases package anymore as it is not in Debian
    main. However, this package is available from other repositories. 
    Therefore keeping the reference in the suggested packages
    (Closes: #474447).
  * Add explicite build-dependency on libqt3-compat-headers (Closes: #475993).

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 15 Apr 2008 00:33:03 +0200

fslview (3.0+4.0.2-3) unstable; urgency=low

  * Link with --as-needed to significantly reduce the number of package
    dependencies.
  * Fix typo in changelog.
  * Updated build-deps for libnifti transition.
  * Bumped Standards-version to 3.7.3, no changes necessary.
  * Fixed missing headers for GCC 4.3 compatibility (Closes: #456099).
  * Changed section of fslview-doc package to 'doc'.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 03 Jan 2008 09:51:05 +0100

fslview (3.0+4.0.2-2) unstable; urgency=low

  * Resurrect atlasquery and install it again in the package.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 18 Nov 2007 13:00:48 +0100

fslview (3.0+4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Use new-style Homepage field in debian/control.
  * Add VCS information to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 16 Nov 2007 08:02:37 +0100

fslview (3.0+4.0.1-2) unstable; urgency=low

  * Build-depend on libniftiio1-dev by default.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 17 Sep 2007 14:16:55 +0200

fslview (3.0+4.0.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 01 Sep 2007 10:49:00 +0200

fslview (3.0+4.0.0-1) unstable; urgency=low

  * Initial release.
  * Modified default path setting to match the Debian environment.

