## fslview 3.1.8+4.1.9

=== debian/changelog ===
fslview (3.1.8+4.1.9-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 25 Oct 2011 03:36:32 -0400

fslview (3.1.8+4.1.9-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Michael Hanke <mih@debian.org>  Tue, 25 Oct 2011 09:19:08 +0200

fslview (3.1.8+4.1.8-1) unstable; urgency=low

  * New upstream FSL release with various bugfixes.
  * Changed maintainer email.
  * Bump Standards-version to 3.9.2, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Wed, 18 May 2011 16:01:01 -0400
