=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: fslview
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libvtk5-dev, libqwt-dev, qt3-apps-dev, libqt3-compat-headers, libvtk5-qt3-dev, libtiff4-dev, libnewmat10-dev, cmake, imagemagick, libnifti-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://www.fmrib.ox.ac.uk/fsl/fslview
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fslview.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/fslview.git
@@ -13,7 +14,7 @@
 
 Package: fslview
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Recommends: fslview-doc
 Suggests: fsl-atlases
 Conflicts: fsl-fslview
@@ -31,7 +32,7 @@
 Package: fslview-doc
 Architecture: all
 Section: doc
-Depends: qt3-assistant, ${misc:Depends}
+Depends: neurodebian-popularity-contest, qt3-assistant, ${misc:Depends}
 Description: Documentation for FSLView
  This package provides the online documentation for FSLView.
  .
