=== debian/changelog ===
fslview (4.0.0~beta1-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 14 Sep 2012 05:23:35 -0400

fslview (4.0.0~beta1-1) UNRELEASED; urgency=low

  * New upstream beta release. Now using Qt4. When opening files with
    unsupported data types and error message is display, and the program
    no longer crashed (Closes: #442177).
  * Adjust package dependencies for transition from Qt3 to Qt4.

 -- Michael Hanke <mih@debian.org>  Fri, 14 Sep 2012 09:14:51 +0200
