=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libvtk5-dev, libqwt-dev, qt3-apps-dev, libqt3-compat-headers, libvtk5-qt3-dev, libtiff4-dev, libnewmat10-dev, cmake, imagemagick, libnifti-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libvtk5-qt4-dev,
+ libqwt5-qt4-dev, libqt4-dev, libtiff4-dev, libnewmat10-dev, cmake, imagemagick,
+ libnifti-dev, libqtassistantclient-dev
+Standards-Version: 3.9.3
 Homepage: http://www.fmrib.ox.ac.uk/fsl/fslview
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fslview.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/fslview.git
-XS-DM-Upload-Allowed: yes
 
 
 Package: fslview
 Architecture: any
 Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
-Recommends: fslview-doc
+Recommends: fslview-doc, qt-assistant-compat
 Suggests: fsl-atlases
 Conflicts: fsl-fslview
 Replaces: fsl-fslview
@@ -32,7 +33,7 @@
 Package: fslview-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, qt3-assistant, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}
 Description: Documentation for FSLView
  This package provides the online documentation for FSLView.
  .
